signInEmail
POST
/api/auth/sign-in/email
const url = 'https://example.com/api/auth/sign-in/email';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"email":"example","password":"example","callbackURL":"example","rememberMe":true}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/auth/sign-in/email \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "email": "example", "password": "example", "callbackURL": "example", "rememberMe": true }'Sign in with email and password
Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
email
required
Email of the user
string
password
required
Password of the user
string
callbackURL
Callback URL to use as a redirect for email verification
string
rememberMe
If this is false, the session will not be remembered. Default is true.
boolean
Examplegenerated
{ "email": "example", "password": "example", "callbackURL": "example", "rememberMe": true}Responses
Section titled “Responses”Success - Returns either session details or redirect URL
Media typeapplication/json
Session response when idToken is provided
object
redirect
required
boolean
token
required
Session token
string
url
string
user
required
object
id
required
string
name
required
string
email
required
string
emailVerified
required
boolean
image
string
createdAt
required
string format: date-time
updatedAt
required
string format: date-time
twoFactorEnabled
boolean
Example
{ "redirect": false, "user": { "emailVerified": false, "twoFactorEnabled": false }}Bad Request. Usually due to missing parameters, or invalid parameters.
Media typeapplication/json
object
message
required
string
Examplegenerated
{ "message": "example"}Unauthorized. Due to missing or invalid authentication.
Media typeapplication/json
object
message
required
string
Examplegenerated
{ "message": "example"}Forbidden. You do not have permission to access this resource or to perform this action.
Media typeapplication/json
object
message
string
Examplegenerated
{ "message": "example"}Not Found. The requested resource was not found.
Media typeapplication/json
object
message
string
Examplegenerated
{ "message": "example"}Too Many Requests. You have exceeded the rate limit. Try again later.
Media typeapplication/json
object
message
string
Examplegenerated
{ "message": "example"}Internal Server Error. This is a problem with the server that you cannot fix.
Media typeapplication/json
object
message
string
Examplegenerated
{ "message": "example"}